commit:     47275d79183d429c3c6d22f0c804c023ce213ec6
Author:     Quincy Fleming <quincyf467 <AT> protonmail <DOT> com>
AuthorDate: Sun Jun  4 15:26:36 2023 +0000
Commit:     Quincy Fleming <quincyf467 <AT> protonmail <DOT> com>
CommitDate: Sun Jun  4 15:26:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=47275d79

app-misc/Clipboard: add 0.8.0

Signed-off-by: Quincy Fleming <quincyf467 <AT> protonmail.com>

 app-misc/Clipboard/Clipboard-0.8.0.ebuild | 54 +++++++++++++++++++++++++++++++
 app-misc/Clipboard/Manifest               |  1 +
 2 files changed, 55 insertions(+)

diff --git a/app-misc/Clipboard/Clipboard-0.8.0.ebuild 
b/app-misc/Clipboard/Clipboard-0.8.0.ebuild
new file mode 100644
index 000000000..281d4957d
--- /dev/null
+++ b/app-misc/Clipboard/Clipboard-0.8.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Cut, copy, and paste anything in your terminal"
+HOMEPAGE="https://getclipboard.app/ https://github.com/Slackadays/Clipboard";
+SRC_URI="https://github.com/Slackadays/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="X wayland lto debug"
+
+RDEPEND="X? ( x11-libs/libX11 )
+               wayland? (
+                       dev-libs/wayland-protocols
+                       dev-libs/wayland
+               )
+"
+PATCHES=(
+       "${FILESDIR}/disable-git-and-lto.patch"
+)
+
+src_prepare() {
+       if ! use wayland; then
+               sed -i '/pkg_check_modules(WAYLAND_CLIENT wayland-client 
wayland-protocols)/d' CMakeLists.txt || die
+       fi
+
+       if ! use debug; then
+               eapply "${FILESDIR}/disable-debug-info.patch"
+       fi
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+       "-DCMAKE_INSTALL_LIBDIR=$(get_libdir)"
+       "-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=$(usex lto TRUE FALSE)"
+       "-DCMAKE_DISABLE_FIND_PACKAGE_X11=$(usex X OFF ON)"
+       )
+       cmake_src_configure
+}
+
+pkg_postinst() {
+       ewarn "The new history feature makes CB incompatible with how older 
versions stored clipboard contents."
+       ewarn "If you have existing content when you upgrade, then it might not 
appear in CB, although it won't be deleted."
+       ewarn "To fix this, take everything stored in the data folder of your 
existing clipboards and move them to a \"0\" subfolder within data."
+       ewarn "So, if you have the file Foobar stored under data, the new setup 
will look like the folder 0 under data, and 0 stores the file Foobar."
+       ewarn "To find where CB keeps your clipboards, use the cb info command 
and check the line that says Stored in...."
+       ewarn "If you don't already have content stored with CB, then this 
warning doesn't apply to you."
+}

diff --git a/app-misc/Clipboard/Manifest b/app-misc/Clipboard/Manifest
index e4b696d5f..2c219c1c9 100644
--- a/app-misc/Clipboard/Manifest
+++ b/app-misc/Clipboard/Manifest
@@ -1 +1,2 @@
 DIST Clipboard-0.7.1.tar.gz 29187709 BLAKE2B 
9e33b0aa81ea434936e6c4fb6584e1df82726ebb98e933740f469454095c0810cc3e979a85009d2774d27b8e12d46c7affb82f4345cbf8425179040b0c448c88
 SHA512 
29c50c73d5b6860bc49c41fccbd04a7b8904876a2925916471039b22abb6a964d04dbbdb5fa7a97da346c85c1c47ab5b76a3f9a77ce11446c6fc7a5754c699fe
+DIST Clipboard-0.8.0.tar.gz 29340849 BLAKE2B 
91635f16eee4c7fec588f3ceae34571e815680a34553ecf352f67b77c0749ad4c4ee848713d1b65d7e0a4dee0a2a597b29f59abab9082400dc02acba00ab7326
 SHA512 
b600e8425e48625ed2ad068500e381b1a0d40eacce92e05d45af21c1f5517dcac516287fbcdc1c03fe87cd5bdd5933258ffccf31460a03dfd7e306dc22442c63

Reply via email to